# Generated from tolq-ffi-hunspell-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tolq-ffi-hunspell

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: FFI bindings for Hunspell
License: MIT
URL: https://github.com/postmodern/ffi-hunspell#readme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
# BuildRequires: rubygem(rubygems-tasks) >= 0.1
# BuildRequires: rubygem(rubygems-tasks) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) >= 0.7
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Ruby FFI bindings for the Hunspell spell checker.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/gemspec.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ffi-hunspell.gemspec
%{gem_instdir}/spec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.5.0-1
- Initial package
